Appearance
GET
/order-management/delivery/deliveriesRequired scope:
viskan:shipment:readSearches for deliveries in the system.
Parameters
Query parameters
checkForParcelModifications booleanAn optional filter on whether to check modifiedAfter on parcels as well.
countryCode stringMultivalued
Filter on delivery countryCode (ISO 3166-1 alpha-2 standard format). For example countryCode=SE&countryCode=NO.
customFieldValue stringMultivalued
An optional filter on one/many custom field values. For example customFieldValue=22468-15267-80&customFieldValue=22468-15267-81
customerId integerAn optional filter on customer id. Mutually exclusive with customer number. For example customerId=1234
Default value:
-1customerNumber stringAn optional filter on customer number. Mutually exclusive with customer id. For example customerNumber=8564
deliveryId integerMultivalued
An optional filter on one/many deliveryId. For example deliveryId=123&deliveryId=789
deliveryNumber stringMultivalued
An optional filter on one/many deliveryNumber. For example deliveryNumber=abc&deliveryNumber=xyz
includeCanceledRows booleanAn optional filter on whether to include canceled delivery rows.
The canceled rows will have the original price/discounts, but partly delivered rows will have the discount and totals reflecting the delivered quantities.
The canceled rows will have the original price/discounts, but partly delivered rows will have the discount and totals reflecting the delivered quantities.
internalCustomers booleanAn optional filter on whether the customers of the deliveries are internal.
methodOfArrival stringMultivalued
An optional filter on one/many method of arrivals. For example methodOfArrivals=A09
modifiedAfter stringFilter on last modification date. Useful for getting delta-changes. More details.
orderNumber stringMultivalued
An optional filter on one/many order numbers. For example orderNumber=1234&orderNumber=5678
page integerThe page to search for.
Default value:
1parcelNumber stringMultivalued
An optional filter on one/many 'In Store' parcel numbers. For example parcelNumber=1234&parcelNumber=5678
processChain stringFilter on current delivery processChain. For example processChain=REPORT_QUEUE. The use of this filter is contingent upon the approval of Viskan.
processStatus stringMultivalued
Filter on current delivery processStatus. For example processStatus=PROCESSED&processStatus=EXPORTED. The use of this filter is contingent upon the approval of Viskan.
purchaseNumber stringMultivalued
An optional filter on a one/many purchase numbers. For example purchaseNumber=1234&purchaseNumber=5678
resultsPerPage integerThe number of results per page. Must be a value between
1 and 200.searchId stringThe search ID to use for continued pages. Not usable together with any of the filters. More details.
status enumMultivalued
Filter on current delivery status. For example status=CREATED&status=DELIVERED.
NOTE! When fetching deliveries to handle in a pick & pack process, you should always filter on CREATED. Only deliveries in this state are ready to be processed for packing and shipment.
Enum:
CANCELEDCREATEDDELIVEREDwarehouseId integerThe id of the warehouse we want deliveries for. Mutually exclusive with warehouseNumber.
warehouseNumber stringThe number of the warehouse we want deliveries for. Mutually exclusive with warehouseId.
webStoreNumber stringMultivalued
An optional filter on one/many web store(s) where the order was placed. Only applicable for web orders, subscription based orders and physical store orders are not supported by this filter. For example webStoreNumber=888
Response
The search was successful.